Bug 245674 - security/py-certbot: allow more options for restarting services after certificate renewals
Summary: security/py-certbot: allow more options for restarting services after certifi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D25391
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-16 20:01 UTC by Dmitry Marakasov
Modified: 2020-07-11 12:52 UTC (History)
3 users (show)

See Also:
dbaio: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
Patch (1.95 KB, patch)
2020-04-16 20:01 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2020-04-16 20:01:24 UTC
Created attachment 213468 [details]
Patch

In addition to stop service → renew cert → start service pattern, support restarting and reloading a service after certificate renewals, which is more common and useful pattern which implies less/no downtime.
Comment 1 Max Khon freebsd_committer 2020-05-25 04:25:36 UTC
There should also be support for deploy hook (see also #245954)
Comment 2 Danilo G. Baio freebsd_committer 2020-06-21 18:04:15 UTC
Please see review D25391, I tried to gather all scenarios in the periodic script.
Comment 3 commit-hook freebsd_committer 2020-07-11 12:34:19 UTC
A commit references this bug:

Author: dbaio
Date: Sat Jul 11 12:33:24 UTC 2020
New revision: 541966
URL: https://svnweb.freebsd.org/changeset/ports/541966

Log:
  security/py-certbot: Improve periodic script

  This change will keep the default behavior in the periodic script
  and will add options to customize each parameter for those who want to:
   - weekly_certbot_pre_hook
   - weekly_certbot_post_hook
   - weekly_certbot_deploy_hook
   - weekly_certbot_custom_args

  PR:		245674, 245954
  Reported by:	amdmi3, fjoe
  Reviewed by:	koobs
  Approved by:	dbaio, koobs (python, maintainer)
  MFH:		2020Q3
  Differential Revision:	https://reviews.freebsd.org/D25391

Changes:
  head/security/py-certbot/Makefile
  head/security/py-certbot/files/500.certbot.in
  head/security/py-certbot/files/pkg-message.in
  head/security/py-certbot/pkg-message
Comment 4 Danilo G. Baio freebsd_committer 2020-07-11 12:37:34 UTC
Committed, waiting MFH.
Comment 5 commit-hook freebsd_committer 2020-07-11 12:50:24 UTC
A commit references this bug:

Author: dbaio
Date: Sat Jul 11 12:50:21 UTC 2020
New revision: 541967
URL: https://svnweb.freebsd.org/changeset/ports/541967

Log:
  MFH: r541966

  security/py-certbot: Improve periodic script

  This change will keep the default behavior in the periodic script
  and will add options to customize each parameter for those who want to:
   - weekly_certbot_pre_hook
   - weekly_certbot_post_hook
   - weekly_certbot_deploy_hook
   - weekly_certbot_custom_args

  PR:		245674, 245954
  Reported by:	amdmi3, fjoe
  Reviewed by:	koobs
  Approved by:	dbaio, koobs (python, maintainer)
  Differential Revision:	https://reviews.freebsd.org/D25391

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/security/py-certbot/Makefile
  branches/2020Q3/security/py-certbot/files/500.certbot.in
  branches/2020Q3/security/py-certbot/files/pkg-message.in
  branches/2020Q3/security/py-certbot/pkg-message